<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

#namespace DeubertIt;

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_View_Helper_GravatarSource extends \Zend_View_Helper_Abstract
{
    public function gravatarSource($email, $size = null)
    {
        $source = 'http://www.gravatar.com/avatar/'.md5(trim(strtolower($email))).(!is_null($size) ? '?s='.$size : '');

        return $source;
    }
}