<?php


class DZF_Filter_AnonymizeIpTests extends DZF_Helpers_TestCaseBase
{
    public function testUrlize()
    {
        $ip = '125.58.99.217';
        $expectedText = '125.58.99.x';

        $filterTest = DZF_Filter_AnonymizeIp::filter($ip);

        $this->assertEquals($expectedText, $filterTest);
    }

    /**
     * @expectedException Zend_Exception
     * @expectedExceptionMessage No entry is registered for key 'privacy'
     */
    public function testIsActiveException()
    {
        $isActive = DZF_Filter_AnonymizeIp::isActive();
    }
}
