<?php

class DZF_Migration_VersionizeTests extends DZF_Helpers_TestCaseBase
{
    /**
     * @expectedException DZF_Exception
     * @expectedExceptionMessage Audit plugin is not active!
     */
    public function testUpExceptionAudit()
    {
        $versionize = new MigrationVersionizeTest();
        $versionize->setModelName();

        $versionize->up();
    }

    /**
     * @expectedException Exception
     * @expectedExceptionMessage Model name is not specified
     */
    public function testUpExceptionModel()
    {
        $versionize = new MigrationVersionizeTest();

        $versionize->up();
    }

    /**
     * @expectedException Exception
     * @expectedExceptionMessage Model name is not specified
     */
    public function testDownExceptionModel()
    {
        $versionize = new MigrationVersionizeTest();

        $versionize->up();
    }
}
