<?php

class DZF_ZFDebug_Controller_Plugin_Debug_Plugin_SessionTests extends DZF_Helpers_TestCaseBase
{
    public function testGetIdentifier()
    {
        $expectedString = 'session';

        $session = new DZF_ZFDebug_Controller_Plugin_Debug_Plugin_Session();
        $result = $session->getIdentifier();

        $this->assertEquals($expectedString, $result);
    }

    public function testGetTab()
    {
        $expectedString = 'Session';

        $session = new DZF_ZFDebug_Controller_Plugin_Debug_Plugin_Session();
        $result = $session->getTab();

        $this->assertEquals($expectedString, $result);
    }

    public function testGetPanel()
    {
        $expectedString = '<h4>Session</h4><pre>\'Session\'</pre>';

        $session = new DZF_ZFDebug_Controller_Plugin_Debug_Plugin_Session();
        $_SESSION = 'Session';
        $result = $session->getPanel();

        $this->assertEquals($expectedString, $result);
    }
}
