<?php

class MinifyHeadScriptTests extends DZF_Helpers_TestCaseBase
{
    public function testMinifyHeadScriptAppend()
    {
        $minifyHeadScript = new DZF_View_Helper_MinifyHeadScript();

        $result = $minifyHeadScript->minifyHeadScript(Zend_View_Helper_HeadScript::FILE, null, 'APPEND');

        $this->assertNotNull($result);
    }

    public function testMinifyHeadScriptNotAppend()
    {
        $minifyHeadScript = new DZF_View_Helper_MinifyHeadScript();

        $result = $minifyHeadScript->minifyHeadScript(Zend_View_Helper_HeadScript::FILE, null, 'NOTAPPEND');

        $this->assertNotNull($result);
    }

    public function testToString()
    {
        $minifyHeadLink = new DZF_View_Helper_MinifyHeadScript();

        $result = $minifyHeadLink->toString('test.css string.css');

        $this->assertEquals('test.css string.css', $result);
    }

    public function testGetMinUrl()
    {
        $minifyHeadLink = new DZF_View_Helper_MinifyHeadScript();

        $result = $minifyHeadLink->getMinUrl();

        $this->assertEquals('/min/', $result);
    }

    public function testGetBaseUrl()
    {
        $minifyHeadLink = new DZF_View_Helper_MinifyHeadScript();

        $result = $minifyHeadLink->getBaseUrl();

        $this->assertEquals(null, $result);
    }
}
