<?php

class DZF_ZFDebug_Controller_Plugin_Debug_Plugin_DoctrineTests extends DZF_Helpers_TestCaseBase
{
    public function testGetIdentifier()
    {
        $expectedString = 'doctrine';

        $doctrine = new DZF_ZFDebug_Controller_Plugin_Debug_Plugin_Doctrine();
        $result = $doctrine->getIdentifier();

        $this->assertEquals($expectedString, $result);
    }

    public function testGetTab()
    {
        $expectedString = '0 in 0 ms';

        $doctrine = new DZF_ZFDebug_Controller_Plugin_Debug_Plugin_Doctrine();
        $result = $doctrine->getTab();

        $this->assertEquals($expectedString, $result);
    }

    public function testGetPanel()
    {
        $expectedString = '<h4>Database queries</h4><h4>Connection: doctrine</h4><ol></ol>';

        $doctrine = new DZF_ZFDebug_Controller_Plugin_Debug_Plugin_Doctrine();
        $result = $doctrine->getPanel();

        $this->assertEquals($expectedString, $result);
    }
}
